%define upstream_name    Devel-PatchPerl
%define upstream_version 2.08
%global __requires_exclude ^perl\\(t::Watchdog\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Replacement 'hints' files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Devel::PatchPerl is a modularisation of the patching code contained in the
Devel::PPort manpage's 'buildperl.pl'.

It does not build perls, it merely provides an interface to the source
patching functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/patchperl
%{_mandir}/man1/patchperl.1*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.80.0-2.mga9
+ Revision: 1813955
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 2.80.0-1.mga9
+ Revision: 1690213
- update to 2.08

* Sun Dec 27 2020 tv <tv> 2.60.0-1.mga8
+ Revision: 1664073
- update to 2.06

* Fri Nov 27 2020 tmb <tmb> 2.40.0-2.mga8
+ Revision: 1649793
- rebuild for missing signatures

* Sat Nov 21 2020 tv <tv> 2.40.0-1.mga8
+ Revision: 1648047
- update to 2.04

* Mon Nov 09 2020 tv <tv> 2.20.0-1.mga8
+ Revision: 1643877
- update to 2.02

* Tue Jun 09 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1591282
- update to 2.00

* Tue May 26 2020 tv <tv> 1.980.0-1.mga8
+ Revision: 1587655
- update to 1.98

* Mon May 25 2020 tv <tv> 1.940.0-1.mga8
+ Revision: 1587481
- update to 1.94

* Tue Apr 28 2020 tv <tv> 1.920.0-1.mga8
+ Revision: 1572650
- update to 1.92

* Thu Mar 12 2020 tv <tv> 1.900.0-1.mga8
+ Revision: 1555685
- update to 1.90

* Fri Feb 21 2020 umeabot <umeabot> 1.860.0-2.mga8
+ Revision: 1547845
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.860.0-1.mga8
+ Revision: 1488484
- update to 1.86

* Wed Jan 29 2020 tv <tv> 1.840.0-1.mga8
+ Revision: 1484903
- update to 1.84

* Fri Nov 22 2019 tv <tv> 1.800.0-1.mga8
+ Revision: 1462191
- update to 1.80

* Sun Nov 17 2019 tv <tv> 1.780.0-1.mga8
+ Revision: 1461391
- update to 1.78

* Mon Nov 11 2019 tv <tv> 1.760.0-1.mga8
+ Revision: 1459228
- update to 1.76

* Fri Nov 08 2019 tv <tv> 1.680.0-1.mga8
+ Revision: 1458855
- update to 1.68

* Sat Jun 29 2019 shlomif <shlomif> 1.640.0-1.mga8
+ Revision: 1415504
- update to 1.64

* Fri Mar 15 2019 tv <tv> 1.560.0-1.mga7
+ Revision: 1377493
- update to 1.56

* Tue Feb 19 2019 tv <tv> 1.540.0-1.mga7
+ Revision: 1368448
- update to 1.54

* Thu Sep 20 2018 umeabot <umeabot> 1.520.0-3.mga7
+ Revision: 1282835
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 shlomif <shlomif> 1.520.0-2.mga7
+ Revision: 1241049
- New version 1.52

* Sun Jul 23 2017 shlomif <shlomif> 1.480.0-2.mga7
+ Revision: 1129340
- resubmit
- fix build

* Sat Jul 22 2017 shlomif <shlomif> 1.480.0-1.mga7
+ Revision: 1128533
- update to 1.48

* Sun Jun 19 2016 pterjan <pterjan> 1.420.0-2.mga6
+ Revision: 1025558
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1.420.0-1.mga6
+ Revision: 1007505
- update to 1.42

* Sat Jan 16 2016 shlomif <shlomif> 1.400.0-1.mga6
+ Revision: 923758
- update to 1.40

* Mon Jul 06 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 852004
- update to 1.38

* Sun Oct 19 2014 umeabot <umeabot> 1.240.0-5.mga5
+ Revision: 789322
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 741397
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.240.0-3.mga5
+ Revision: 735593
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-2.mga5
+ Revision: 684326
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 1.240.0-1.mga5
+ Revision: 632895
- update to 1.24

* Tue May 06 2014 jquelin <jquelin> 1.220.0-1.mga5
+ Revision: 620548
- update to 1.22

* Tue Mar 25 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 608317
- update to 1.20

* Mon Feb 24 2014 jquelin <jquelin> 1.180.0-1.mga5
+ Revision: 596237
- update to 1.18

* Sun Feb 09 2014 sander85 <sander85> 1.160.0-1.mga5
+ Revision: 587671
- update to 1.16

* Mon Oct 21 2013 umeabot <umeabot> 1.120.0-2.mga4
+ Revision: 537057
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 486209
- update to 1.12

* Fri Aug 23 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 470243
- update to 1.10

* Thu Jul 25 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 458021
- update to 1.00

* Mon Jul 08 2013 sander85 <sander85> 0.960.0-1.mga4
+ Revision: 451226
- update to 0.96

* Sun Jul 07 2013 sander85 <sander85> 0.940.0-1.mga4
+ Revision: 450958
- update to 0.94

* Fri Jun 07 2013 jquelin <jquelin> 0.900.0-1.mga4
+ Revision: 439023
- update to 0.90

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-2.mga3
+ Revision: 365792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.760.0-1.mga3
+ Revision: 286058
- update to 0.76

* Tue Jun 05 2012 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 254862
- update to 0.72

* Mon Mar 05 2012 jquelin <jquelin> 0.660.0-1.mga2
+ Revision: 218703
- update to 0.66

* Tue Nov 08 2011 jquelin <jquelin> 0.620.0-1.mga2
+ Revision: 165438
- remove MYMETA from %%doc
- update to 0.62

* Sat Nov 05 2011 kharec <kharec> 0.600.0-1.mga2
+ Revision: 163461
- update to 0.60

* Fri Oct 14 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 154752
- update to 0.58
- update to 0.52
- update to 0.42
+ kharec <kharec>
- update to 0.44

* Wed Jun 15 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 107713
- imported package perl-Devel-PatchPerl


* Wed Jun 15 2011 cpan2dist 0.40-1mga
- initial mageia release, generated with cpan2dist
